ADT Time Now
ADT is the abbreviation of Atlantic Daylight Time. Time zone offset of ADT is UTC-03. Atlantic Daylight Time is 3 hours behind from the UTC universal time. ADT current date is 6th Friday November 2026. Current time in ADT (ADT).
ADT Time
16:17:05
6 November 2026 Friday
ADT is the abbreviation of Atlantic Daylight Time. This is a special time zone used in such provinces and areas of Canada as Labrador, New Brunswick, Nova Scotia, Prince Edward Island, Magdalen Islands, and so on. Atlantic Daylight Time is 3 hours behind the UTC universal time.
What time is it in Atlantic Daylight Time now? It is 16:17:05 right now.
Atlantic Daylight Time Date and Time Now in Various Formats
| Date Time Format | ADT Date Time Now |
|---|---|
| UTC | 2026-11-06T19:17:05Z |
| ISO-8601 | 2026-11-06T16:17:05-0300 |
| RFC 2822 | Fri, 06 Nov 2026 16:17:05 -0300 |
| RFC 850 | Friday, 06-Nov-26 16:17:05 ADT |
| RFC 1036 | Fri, 06 Nov 26 16:17:05 -0300 |
| RFC 1123 | Fri, 06 Nov 2026 16:17:05 -0300 |
| RFC 822 | Fri, 06 Nov 26 16:17:05 -0300 |
| RFC 3339 | 2026-11-06T16:17:05-03:00 |
| ATOM | 2026-11-06T16:17:05-03:00 |
| COOKIE | Friday, 06-Nov-2026 16:17:05 ADT |
| RSS | Fri, 06 Nov 2026 16:17:05 -0300 |
| W3C | 2026-11-06T16:17:05-03:00 |
| Unix Epoch | 1793992625 |
| YYYY-DD-MM HH:MM:SS | 2026-06-11 16:17:05 |
| YYYY-DD-MM HH:MM:SS am/pm | 2026-06-11 04:17:05 PM |
| DD-MM-YYYY HH:MM:SS | 06-11-2026 16:17:05 |
| MM-DD-YYYY HH:MM:SS | 11-06-2026 16:17:05 |